document.getElementById('creditForm').addEventListener('submit', function(e) {
  e.preventDefault();
  
  const montant = parseFloat(document.getElementById('montant').value);
  const duree = parseFloat(document.getElementById('duree').value);
  const apport = parseFloat(document.getElementById('apport').value) || 0;
  const fraisNotaire = parseFloat(document.getElementById('fraisNotaire').value) || 0;
  const tauxList = document.getElementById('taux').value.split(',').map(t => parseFloat(t.trim()));
  
  const resultsContainer = document.getElementById('results');
  resultsContainer.innerHTML = '';
  
  tauxList.forEach(taux => {
    const tauxDecimal = taux / 100;
    const n = duree * 12;
    const mensualite = (montant * tauxDecimal / 12) / (1 - Math.pow(1 + tauxDecimal / 12, -n));
    const coutTotal = mensualite * n;
    const coutInteret = coutTotal - montant;
    
    const resultCard = document.createElement('div');
    resultCard.className = 'result-card';
    resultCard.innerHTML = `
      <h3>Taux: ${taux}%</h3>
      <p>Mensualité: ${mensualite.toFixed(2)}€</p>
      <p>Coût total des intérêts: ${coutInteret.toFixed(2)}€</p>
      <p>Coût total du crédit: ${coutTotal.toFixed(2)}€</p>
      <p>Apport + frais de notaire: ${(apport + fraisNotaire).toFixed(2)}€</p>
      <p>Coût global: ${(coutTotal + apport + fraisNotaire).toFixed(2)}€</p>
    `;
    
    resultsContainer.appendChild(resultCard);
  });
});